## dh-runit 2.14.2ubuntu1

=== Makefile ===
all:
testrunner: testrunner.hs
	ghc $<
check:
#check: testrunner
#	./testrunner
autopkgtest: testrunner
	AUTOPKGTEST=1 ./testrunner
.PHONY: check

## dh-runit 1.6.2

=== debian/changelog ===
dh-runit (1.6.2) unstable; urgency=medium

  * Remove from 'dh_runit' code to install no longer present prerm
    maintainer script.

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 14 Sep 2016 12:23:17 +0300

dh-runit (1.6.1) unstable; urgency=medium

  * Upload to unstable

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 11 Sep 2016 21:53:47 +0300

dh-runit (1.6) experimental; urgency=medium

  * Do not create /etc/runit/runsvdir/default directory. Instead, it is
    provided by runit binary package. It saved us trouble of ensuring,
    that directory is removed at apporiate time.
  * Do not create /etc/service symbolic link in maintainer script of
    -run packages. It simplifies maintainace at cost of creation
    of empty directories in runit binary package. But since it is rare
    to install runit, but none of -run packages, trade-off seems justified.
  * Do not create symbolic link in /etc/runit/runsvdir/ in maintainer script,
    make it part of binary package. It makes sure, that dpkg will make right
    thing.
  * No need to invoke force-shutdown in maintainer script, runit will notice
    disappeared link anyway.

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 03 Sep 2016 20:52:18 +0300

dh-runit (1.5) unstable; urgency=medium

  * Breaking change package.runit file format to improve interoperability
    with other tools (supply dh_runit arguments on command line) and make
    format extensible. See dh_runit(1).
  * Introduce support for automatic generation of log scripts.
  * Fix typo in mkdir option.
  * Force shutdown of service we are uninstalling. Otherwise, it would be
    5 seconds gap, when process are still alive.
  * Clean-up supervision directory of log process too.

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 23 Aug 2016 12:59:59 +0300

dh-runit (0.4) unstable; urgency=medium

  * Fix bug, that caused dh-runit to attempt to create directory
    under /.
  * Fix postrm script. Previously, it halted purge with errors about
    missing supervise directory. Indeed, if service was never started,
    it's supervise directory is empty and removed by dpkg.

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 28 Jul 2016 18:46:49 +0300

dh-runit (0.3) unstable; urgency=medium

  * Support for `runlevels'. Now, runscripts are installed for
    `runlevel' default, but system adminstrator can create more.

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 15 Jul 2016 09:45:08 +0300

dh-runit (0.2) unstable; urgency=medium

  * Change arch:any to arch:all. Perl script is arch-independent.

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 15 Jul 2016 09:45:04 +0300

dh-runit (0.1) unstable; urgency=medium

  * Initial release (Closes: #826771)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 04 Jun 2016 13:41:17 +0300

=== debian/control ===
Source: dh-runit
Section: admin
Priority: optional
Maintainer: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>=9), perl, perl-doc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/dh-runit.git
Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/dh-runit.git
Homepage: https://anonscm.debian.org/cgit/users/kaction-guest/dh-runit.git

Package: dh-runit
Architecture: all
Depends: debhelper (>= 9),
         ${misc:Depends},
         ${shlibs:Depends}
Description: debhelper add-on to handle runit runscripts
 dh-runit provides a debhelper sequence addon named 'runit' and the
 dh_runit command.
 .
 The dh_runit command installs runscripts and adds the appropriate code to
 the postinst, prerm and postrm maint scripts to properly enable/disable
 runscripts.

## dh-runit 2.7.1

=== debian/changelog ===
dh-runit (2.7.1) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 11 Mar 2018 12:11:26 +0300

dh-runit (2.7) experimental; urgency=medium

  * Change naming of generated system users for logging to start
    with underscore.
  * Add missing dependency on dh-sysuser.
  * Improve readability of code, generating /etc/sv/<daemon>/log/run
    script using here-doc notation.
  * Remove 'logdir' option for simplicity sake. Strictly speaking it is
    backward-incompatible change, hence the version major bump, but I am
    unaware of any actual users of this option.
  * Ensure that after package removal logs belong to root.
  * Introduce new binary package 'runit-helper', allowing packages to
    access fixes and improvements in 'dh-runit' without rebuild.
  * Update Vcs-* and Homepage fields in debian/control.

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 07 Mar 2018 03:33:22 +0300

=== debian/control ===
Source: dh-runit
Section: admin
Priority: optional
Maintainer: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>=9), perl, perl-doc
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/runit-team/dh-runit
Vcs-Git: https://salsa.debian.org/runit-team/dh-runit.git
Homepage: https://salsa.debian.org/runit-team/dh-runit

Package: dh-runit
Architecture: all
Depends: debhelper (>= 9),
         dh-sysuser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: debhelper add-on to handle runit runscripts
 dh-runit provides a debhelper sequence addon named 'runit' and the
 dh_runit command.
 .
 The dh_runit command installs runscripts and adds the appropriate code to
 the postinst, prerm and postrm maint scripts to properly enable/disable
 runscripts.

Package: runit-helper
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dh-sysuser implementation detail
 runit-helper provides code, which actually perform actions on system
 users on behalf of dh-runit package. This separation allows packages
 take advantage of improvement or fixes in 'dh-runit' without
 rebuilding.
 .
 This package is implementation detail of 'dh-runit'. It should never
 be installed manually. No assumption about its content can be made.

## dh-runit 2.7.3

=== debian/changelog ===
dh-runit (2.7.3) unstable; urgency=medium

  * Do not re-enable serice on upgrade, if it was disable by local
    administrator (See #899242)

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 23 May 2018 08:19:55 +0300

dh-runit (2.7.2) unstable; urgency=medium

  * Invoke runit-helper only if it is available. It ensures, that in
    pathological case, when it isn't (piuparts), postrm script do not fail.
  * Bump compat version to 11 (no changes needed)
  * Update standards version to 4.1.4 (no changes needed)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 14 Apr 2018 17:58:58 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Dmitry Bogatov <KAction@gnu.org>
-Build-Depends: debhelper (>=9), perl, perl-doc
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), perl, perl-doc
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/runit-team/dh-runit
 Vcs-Git: https://salsa.debian.org/runit-team/dh-runit.git
 Homepage: https://salsa.debian.org/runit-team/dh-runit

## dh-runit 2.8.3

=== debian/changelog ===
dh-runit (2.8.3) unstable; urgency=medium

  * Document runit:Breaks substitution variable

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 22 Jan 2019 22:09:24 +0000

dh-runit (2.8.2) unstable; urgency=medium

  * Upload to unstable
  * Update Maintainer field
  * Bump debhelper-compat to 12
  * Update standards version to 4.3.0 (no changes needed)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Jan 2019 03:21:35 +0000

dh-runit (2.8.1) experimental; urgency=medium

  * Make auto-generated runscripts invoke svlogd(8) as `runit-log' user.
  * Impose dependency on (runit >= 2.1.2-20), which provides `runit-log'
    user.
  * Do not impose dependency on `runit' binary package. Instead,
    generate conflict relation with old `runit' version, not providing
    `runit-log' user.
  * Make `/etc/runit/runsvdir/default' directory part of package,
    providing runscript.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 16 Dec 2018 10:16:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dh-runit
 Section: admin
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@gnu.org>
-Build-Depends: debhelper (>= 11~), perl, perl-doc
-Standards-Version: 4.1.4
+Maintainer: Dmitry Bogatov <KAction@debian.org>
+Build-Depends: debhelper-compat (= 12), perl, perl-doc
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/runit-team/dh-runit
 Vcs-Git: https://salsa.debian.org/runit-team/dh-runit.git
 Homepage: https://salsa.debian.org/runit-team/dh-runit
@@ -11,7 +11,6 @@
 Package: dh-runit
 Architecture: all
 Depends: debhelper (>= 9),
-         dh-sysuser,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: debhelper add-on to handle runit runscripts

## dh-runit 2.8.4

=== debian/changelog ===
dh-runit (2.8.4) unstable; urgency=medium

  * Copy-edit dh_runit(1) documentation. (Closes: #920963)
    + Thanks: Jonathan Nieder <jrnieder@gmail.com>

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 03 Feb 2019 23:19:55 +0000

## dh-runit 2.8.6

=== debian/changelog ===
dh-runit (2.8.6) unstable; urgency=medium

  * Fix short description of runit-helper (Closes: #922413)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 15 Feb 2019 17:56:50 +0000

dh-runit (2.8.5) unstable; urgency=medium

  * Mark `runit-helper' as Multi-Arch: foreign (Closes: #921950)
    + Thanks: Elrond <elrond+bugs.debian.org@samba-tng.org>

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 10 Feb 2019 19:58:35 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,8 @@
 Package: runit-helper
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: dh-sysuser implementation detail
+Multi-Arch: foreign
+Description: dh-runit implementation detail
  runit-helper provides code, which actually perform actions on system
  users on behalf of dh-runit package. This separation allows packages
  take advantage of improvement or fixes in 'dh-runit' without

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	pod2man dh_runit dh_runit.1
	dh_installman

## dh-runit 2.8.6+nmu1

=== debian/changelog ===
dh-runit (2.8.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:51 +0800

## dh-runit 2.8.10

=== debian/changelog ===
dh-runit (2.8.10) experimental; urgency=medium

  * Make permissions of supervise directories 0700, as created by sv(8).
    (Closes: #924903)
  * Run testsuite during package build.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 20 Mar 2019 13:17:15 +0000

dh-runit (2.8.9) experimental; urgency=medium

  * Fix missing directory error when installing runscript directory.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 12 Mar 2019 20:42:43 +0000

dh-runit (2.8.8) experimental; urgency=medium

  * Do not create /etc/sv directory if there is no runscript (Closes: #923439)
    + Thanks: Mathieu Mirmont <mat@parad0x.org>
  * Correctly create symlinks in /etc/service in post-inst on first
    revision of package, that introduced runscript. (Closes: #923233)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 05 Mar 2019 15:25:39 +0000

dh-runit (2.8.7) experimental; urgency=medium

  * Generate breaks with runit version, predating 'invoke-run' script.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 24 Feb 2019 20:56:42 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Dmitry Bogatov <KAction@debian.org>
-Build-Depends: debhelper-compat (= 12), perl, perl-doc
+Build-Depends:
+ debhelper-compat (= 12),
+ perl,
+ perl-doc,
+ libfile-copy-recursive-perl,
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/runit-team/dh-runit
 Vcs-Git: https://salsa.debian.org/runit-team/dh-runit.git

=== t/base/default/debian/control ===
Source: dh-runit-test
Section: devel
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Build-Depends: dh-runit
Standards-Version: 4.3.0

Package: dh-runit-test
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Descriptions: test package for dh_runit behaviour

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	pod2man dh_runit dh_runit.1
	dh_installman

override_dh_auto_test:
	prove

## dh-runit 2.8.14

=== debian/changelog ===
dh-runit (2.8.14) unstable; urgency=medium

  * Ensure that all supported scripts in svdir are executable (Closes: #934173)
  * Move supervise directories of generated packages to tmpfs (Closes: #934500)
  * Add new option for dh_runit: presubj (Closes: #929778)
  * Fix indentation of `runit-helper'
  * Ensure that supervise link change does not break running services
  * Do not impose unneeded dependency on runit-helper (Closes: #935997)
  * Temporary disable testsuite due build-dependency transition
  * Avoid dangerous chown/chmod in log runscript.
    Thanks to Daniel Kahn Gillmor <dkg@fifthhorseman.net> (Closes: #935991)
  * Remove vim/emacs modelines from maintainer script snippets (Closes: #938967)
  * Do not pollute namespace in maintainer scripts (Closes: #938968)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 30 Aug 2019 19:13:17 +0000

dh-runit (2.8.13.2) unstable; urgency=medium

  * Revert "Set mailing list as Maintainer."

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 13 Jul 2019 09:39:56 +0000

dh-runit (2.8.13.1) unstable; urgency=medium

  * Upload to unstable.
  * Update standards version to 4.4.0
  * Set mailing list as Maintainer.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 12 Jul 2019 02:36:20 +0000

dh-runit (2.8.13) experimental; urgency=medium

  * [2b6d4e1c] Reimplement test suite with Shake
  * [dabf3ab8] Fix runscript directory recursive copying regression
    (Closes: #931425)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 04 Jul 2019 18:39:53 +0000

dh-runit (2.8.12) experimental; urgency=medium

  * [79008f21] Generate dependency on runit-helper version
    that supports `since' option (Closes: #931257)
  * [9881984f] Move git repository to debian/ namespace
  * [f552979f] Override lintian warning about script template

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 03 Jul 2019 22:48:37 +0000

dh-runit (2.8.11) experimental; urgency=medium

  * Make build system respect `nocheck' option.
  * Create perl package for test-related code.
  * [cb411aff] Add option to mark service as non-restartable
  * [8eddb040] Make it possible to reuse t/*.t for autopkgtest
  * [e4b8e832] Refactor creation of logscript
  * [4c485bc0] Create marker files for use by "invoke-run"
  * [2b3d1cb0] Add Gitlab CI config file
  * [32409bf7] Add autopkgtests

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 29 May 2019 06:54:45 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,20 @@
  perl,
  perl-doc,
  libfile-copy-recursive-perl,
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/runit-team/dh-runit
-Vcs-Git: https://salsa.debian.org/runit-team/dh-runit.git
-Homepage: https://salsa.debian.org/runit-team/dh-runit
+ libtext-hogan-perl,
+ libfile-slurp-perl,
+# libghc-shake-dev, (ununstallable in unstable at 2019-08-29)
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian/dh-runit
+Vcs-Git: https://salsa.debian.org/debian/dh-runit.git
+Homepage: https://salsa.debian.org/debian/dh-runit
 
 Package: dh-runit
 Architecture: all
 Depends: debhelper (>= 9),
+         libtext-hogan-perl,
+         libfile-slurp-perl,
+         libfile-copy-recursive-perl,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: debhelper add-on to handle runit runscripts

## dh-runit 2.8.14ubuntu2

=== debian/changelog ===
dh-runit (2.8.14ubuntu2) eoan; urgency=medium

  * Also neuter the autopkgtest

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 13:41:30 -0700

dh-runit (2.8.14ubuntu1) eoan; urgency=medium

  * Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
    chosen service monitoring framework for Ubuntu and alternative init
    systems are not supported.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2019 08:37:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-runit
 Section: admin
 Priority: optional
-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Bogatov <KAction@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  perl,

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,5 @@
 	pod2man dh_runit dh_runit.1
 	dh_installman
 
+# libghc-shake-dev is temporary uninstallable in unstable (2019-08-29)
 override_dh_auto_test:
-	prove

=== debian/tests/control ===
Test-Command: true
Depends: @, libghc-shake-dev

# vim: ft=debcontrol

## dh-runit 2.8.15~ab10+1

=== debian/changelog ===
dh-runit (2.8.15~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    9de5575174ce4ac8c5cebd84ab05c8d70fb9bc38.
  * External port from: https://deb.debian.org/debian/pool/main/d/dh-
    runit/dh-runit_2.8.15.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Fri, 17 Jul 2020 17:25:13 +0200

dh-runit (2.8.15) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Make dh-runit Multi-Arch: foreign (Closes: #939631)

  [ Lorenzo Puliti ]
  * Remove log dir on purge (Closes: #941924)
  * Use .link to mark a service as disabled (Closes: #942323)
  * Adopt dh-runit package
  * Revert "Temporary disable testsuite due build-dependency transition"
  * Bump Standards Version to 4.5.0
    - use '_runit-log' user in logscripts instead of 'runit-log'
    - breaks and conflicts with runit << 2.1.2-36

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 27 Feb 2020 19:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dh-runit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Lorenzo Puliti <plorenzo@disroot.org>
 Build-Depends:
  debhelper-compat (= 12),
  perl,
@@ -10,14 +9,15 @@
  libfile-copy-recursive-perl,
  libtext-hogan-perl,
  libfile-slurp-perl,
-# libghc-shake-dev, (ununstallable in unstable at 2019-08-29)
-Standards-Version: 4.4.0
+ libghc-shake-dev,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git
 Homepage: https://salsa.debian.org/debian/dh-runit
 
 Package: dh-runit
 Architecture: all
+Multi-Arch: foreign
 Depends: debhelper (>= 9),
          libtext-hogan-perl,
          libfile-slurp-perl,

## dh-runit 2.9.0

=== debian/changelog ===
dh-runit (2.9.0) unstable; urgency=medium

  * Add a comment on Conflicts and Breaks runit 2.1.2-36
  * Deprecate the 'since' option, bump depends on runit-helper
  * d/rules: clean testsuite artifacts
  * Disable the testsuite on armhf to workaroud FTBFS (Closes: #954190)
  * Acknowledge Helmut Grohne for fixing #939631
  * d/control: set Rules-Requires-Root: no
  * d/copyright: update copyright
  * Fix logservice failure due to loguser transition (Closes: #964175)
  * Avoid infinte loop of symlinks (Closes: #964174)
  * Print version in maintscript snippets
  * Do not overwrite the presubj file (Closes: #964178)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 03 Jul 2020 10:02:29 +0200

## dh-runit 2.9.0ubuntu2

=== debian/changelog ===
dh-runit (2.9.0ubuntu2) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.
    - Ignore testsuite result.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jul 2020 12:58:21 +0200

dh-runit (2.8.15ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:48:15 -0700

=== debian/rules ===
#!/usr/bin/make -f

HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

override_dh_installman:
	pod2man dh_runit dh_runit.1
	dh_installman

#disable the test on armhf to prevent FTBFS
override_dh_auto_test:
ifneq (armhf,$(HOST_ARCH))
	dh_auto_test || true
endif

override_dh_clean:
# clean up testsuite artifacts
	rm -f testrunner.hi
	rm -f testrunner.o
	rm -f testrunner
	rm -f -R .shake
	rm -f -R t/out
	dh_clean

## dh-runit 2.9.0+antix1

=== debian/changelog ===
dh-runit (2.9.0+antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Sat, 24 Oct 2020 18:12:53 +0300

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  libfile-slurp-perl,
  libghc-shake-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git
 Homepage: https://salsa.debian.org/debian/dh-runit

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #disable the test on armhf to prevent FTBFS
 override_dh_auto_test:
 ifneq (armhf,$(HOST_ARCH))
-	dh_auto_test || true
+	dh_auto_test
 endif
 
 override_dh_clean:

=== debian/tests/control ===
Test-Command: make autopkgtest
Depends: @, libghc-shake-dev

# vim: ft=debcontrol

## dh-runit 2.10.1+antix1

=== debian/changelog ===
dh-runit (2.10.1+antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Sun, 15 Nov 2020 14:31:40 +0200

dh-runit (2.10.1) unstable; urgency=medium

  * Add autopkgtest for runit-helper (update-rc.d) (Closes: #969512)
  * Update dh-runit package description
  * Bump our version to 2.10.1
  * Error on wrong or unknown onupgrade string
  * Bump debhelper compat to 13
  * Use d/clean instead of override in d/rules
  * Runit-helper: use explicit 0 exit status for return
  * Release to unstable

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 07 Oct 2020 00:24:05 +0200

dh-runit (2.10.0) experimental; urgency=medium

  * Add invoke-rc.d actions support into dh-runit (Closes: #969511)
  * Deprecate the noreplace option, coupled with onupgrade=nostop
  * Add onupgrade=reload
  * Bump our version to 2.10.0
  * Don't call sv if is runit is not installed (Closes: #968114)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 06 Sep 2020 00:58:07 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
  .
  The dh_runit command installs runscripts and adds the appropriate code to
  the postinst, prerm and postrm maint scripts to properly enable/disable
- runscripts.
+ and purge runscripts. When runit is PID 1 the maint script code also takes
+ care of restarting services during upgrades, when appropriate.
 
 Package: runit-helper
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,3 @@
 ifneq (armhf,$(HOST_ARCH))
 	dh_auto_test
 endif
-
-override_dh_clean:
-# clean up testsuite artifacts
-	rm -f testrunner.hi
-	rm -f testrunner.o
-	rm -f testrunner
-	rm -f -R .shake
-	rm -f -R t/out
-	dh_clean

=== debian/tests/control ===
Test-Command: make autopkgtest
Depends: @, libghc-shake-dev

Tests: helper-update-rc.d
Depends: runit-helper
Restrictions: needs-root

# vim: ft=debcontrol

## dh-runit 2.10.2

=== debian/changelog ===
dh-runit (2.10.2) unstable; urgency=medium

  * Don't run shake autopkgtest on armhf and armel (Closes: #973337)
  * Allow outptut to stderr for update-rc.d test

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 15 Nov 2020 19:22:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lorenzo Puliti <plorenzo@disroot.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  perl,
  perl-doc,
  libfile-copy-recursive-perl,

## dh-runit 2.10.2+antix1

=== debian/changelog ===
dh-runit (2.10.2+antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Sat, 21 Nov 2020 20:14:42 +0200

## dh-runit 2.10.3

=== debian/changelog ===
dh-runit (2.10.3) unstable; urgency=medium

  * Always create supervise link for log service (Closes: #977925)
  * Add 2 testcase for supervise links
  * Bump out version to 2.10.3
  * Bump Stadards-Version to 4.5.1

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 29 Dec 2020 12:45:18 +0100

=== t/base/default/debian/changelog ===
dh-runit-test (1.0) unstable; urgency=medium

  * Initial release.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 20 Mar 2019 11:29:25 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtext-hogan-perl,
  libfile-slurp-perl,
  libghc-shake-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git

=== t/base/default/debian/control ===
--- 
+++ 
@@ -9,3 +9,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Descriptions: test package for dh_runit behaviour
+
+Package: irrelevant
+Architecture: all
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: package that does not deal with init systems

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 	pod2man dh_runit dh_runit.1
 	dh_installman
 
-#disable the test on armhf to prevent FTBFS
+#disable the test on armhf and armel to prevent FTBFS
 override_dh_auto_test:
 ifneq (armhf,$(HOST_ARCH))
+ifneq (armel,$(HOST_ARCH))
 	dh_auto_test
 endif
+endif

## dh-runit 2.10.3ubuntu3

=== debian/changelog ===
dh-runit (2.10.3ubuntu3) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.
    - Ignore autopkgtests results

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Dec 2020 10:59:46 +0100

dh-runit (2.10.2ubuntu2) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.
    - Ignore autopkgtests results

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Nov 2020 11:26:30 +0100

dh-runit (2.10.1ubuntu2) hirsute; urgency=medium

  * Ignore a new test result

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Nov 2020 10:29:34 +0100

dh-runit (2.10.1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.
    - Ignore testsuite result.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Nov 2020 15:54:28 +0100

=== debian/tests/control ===
Test-Command: true
Depends: @, libghc-shake-dev
Architecture: amd64, arm64, i386

Tests: helper-update-rc.d
Depends: runit-helper
Restrictions: needs-root, allow-stderr

# vim: ft=debcontrol

## dh-runit 2.14.2

=== debian/changelog ===
dh-runit (2.14.2) unstable; urgency=medium

  * Fix wrong path for noreplace metafile (Closes: #1018817)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 31 Aug 2022 11:56:38 +0200

dh-runit (2.14.1) unstable; urgency=medium

  * Avoid spurious warning during postinstall
  * Move metafiles inside the service directory
  * Remove supervise symlinks at postrm
  * Upload to unstable

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 02 Aug 2022 00:38:33 +0200

dh-runit (2.14.0) experimental; urgency=medium

  * Stop creating supervise links as part of
     the deb package (Closes: #942053)
  * Create supervise links at runtime with make_svlinks,
     but only when runit package is installed
     (Closes: #935939)
  * Use finish-exec instead of finish-default
  * Bump minimal required version of runit and runit-helper
  * Do not install the log service with usr option
  * Error when log service already exists and logscript
     option is given
  * Update testsuite
  * Temporary disable ghc testsuite, libghc-shake-dev
     is not installable in Sid

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 02 Jul 2022 12:09:54 +0200

dh-runit (2.13.1) unstable; urgency=medium

  * Add ${perl:Depends} to dh-runit depends
  * Fix wrong comment in prerm snippet
  * Revert "Enable the testsuite on armhf/armel"
  * Bump Standards-Version to 4.6.1, no changes required

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 15 May 2022 02:26:43 +0200

dh-runit (2.13.0) unstable; urgency=medium

  * Release to unstable
  * d/copyright: set upstream contanct
  * Create enable and onupgrade metafiles only with
     noscripts option
  * runit-helper: small code improvements
  * Re-enable the testsuite on armhf/armel (Closes: #969513)
  * Reverse logic for finish files: no longer
     create a finish file by default, add a finish option
     and deprecate the nofinish option
  * Update the testsuite for finish and metafiles
     related changes

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 25 Apr 2022 21:27:48 +0200

dh-runit (2.12.0) experimental; urgency=medium

  * Provide dh-sequence-runit (Closes: #1002801)
     + thanks to Colin Watson <cjwatson@debian.org>
  * Bump Standards-Version to 4.6.0, no changes required
  * Update copyright years
  * dh-runit:
     - Use a separate metafile for enable and upgrade
     - Metafiles: expose also noscripts and logscript
     - Create a matafile for package
     - Update tests for metafiles and usr
     - dh-runit code overhaul
     - Check for DPKG_ROOT in maintscripts
  * runit-helper: warn on sv failure
  * Fix lintian overrides
  * Fix typo in 2.10.3 changelog entry

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 11 Apr 2022 03:44:16 +0200

dh-runit (2.11.0) experimental; urgency=medium

  * Expose enable and onupgrade as metafiles
  * Add a noscripts option
  * Add a usr option
  * Add a test for the usr option
  * Add a test for the enable metafile
  * Install a finish file by default
  * Add a nofinish option
  * Update tests for finish and nofinish

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 23 Apr 2021 18:10:02 +0200

## dh-runit 2.14.2ubuntu1

=== debian/changelog ===
dh-runit (2.14.2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2022 11:40:55 +0200

dh-runit (2.14.1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Aug 2022 09:48:13 +0200

dh-runit (2.13.1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.
    - Ignore test/autopkgtests results

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 May 2022 12:44:07 +0200

dh-runit (2.13.0ubuntu2) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.
    - Ignore test/autopkgtests results

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 May 2022 22:51:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  libfile-copy-recursive-perl,
  libtext-hogan-perl,
  libfile-slurp-perl,
- libghc-shake-dev,
-Standards-Version: 4.5.1
+# not installable in Sid #1013886
+# libghc-shake-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git
@@ -23,8 +24,10 @@
          libtext-hogan-perl,
          libfile-slurp-perl,
          libfile-copy-recursive-perl,
+         ${perl:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: dh-sequence-runit
 Description: debhelper add-on to handle runit runscripts
  dh-runit provides a debhelper sequence addon named 'runit' and the
  dh_runit command.

=== debian/tests/control ===
# libghc-shake-dev not installable in Sid
# Test-Command: make autopkgtest
# Depends: @, libghc-shake-dev
# Architecture: amd64, arm64, i386

Tests: helper-update-rc.d
Depends: runit-helper
Restrictions: needs-root, allow-stderr

# vim: ft=debcontrol

## dh-runit 2.15.0

=== debian/changelog ===
dh-runit (2.15.0) unstable; urgency=medium

  * metafiles: write packagename inside a pkg file
  * Add a bin option, useful for triggered upgrade
  * update dh-runit manpage
  * Revert "Temporary disable ghc testsuite"
  * Update testsuite

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 19 Oct 2022 01:15:02 +0200

## dh-runit 2.15.1

=== debian/changelog ===
dh-runit (2.15.1) experimental; urgency=medium

  * Remove duplicate metafiles
  * update tests for metafiles

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 14 Nov 2022 17:00:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  libfile-copy-recursive-perl,
  libtext-hogan-perl,
  libfile-slurp-perl,
-# not installable in Sid #1013886
-# libghc-shake-dev,
+ libghc-shake-dev,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit

## dh-runit 2.15.2

=== debian/changelog ===
dh-runit (2.15.2) unstable; urgency=medium

  * bump Standards-Version
  * release to unstable

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 27 Dec 2022 00:25:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtext-hogan-perl,
  libfile-slurp-perl,
  libghc-shake-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git

=== debian/tests/control ===
Test-Command: make autopkgtest
Depends: @, libghc-shake-dev
Architecture: amd64, arm64, i386

Tests: helper-update-rc.d
Depends: runit-helper
Restrictions: needs-root, allow-stderr

# vim: ft=debcontrol

## dh-runit 2.15.2ubuntu1

=== debian/changelog ===
dh-runit (2.15.2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Dec 2022 14:05:24 +0100

dh-runit (2.15.0ubuntu2) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2022 15:41:11 +0100

## dh-runit 2.16.0

=== debian/changelog ===
dh-runit (2.16.0) experimental; urgency=medium

  * runit-helper:
      - remove loguser transition code
      - remove supervise transition code (Closes: #969514)
  * symplify metafiles interface:
      - remove 'logscript', use empty log directory instead
      - remove 'noscripts', no longer used
      - create 'enable' only when non-default 'no' is requested
      - create 'onupgrade' only when the string is different from
        the default 'restart'
  * 'usr' option now require 'bin', no longer require 'noscripts'
  * adjust metafiles code when 'usr' is used since it's no longer
     coupled with 'noscripts'
  * update dh_runit manpage
  * runit-helper:
      - remove symlinks before supervise files, necessary
        since purge can now be run before the (noawait) trigger code
      - mark default-disabled services with dot-links, because of #1022837
  * update testsuite
  * update copyright years

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 05 Apr 2023 16:13:32 +0200

## dh-runit 2.16.2ubuntu1

=== debian/changelog ===
dh-runit (2.16.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jan 2024 12:44:27 +0100

dh-runit (2.16.2) unstable; urgency=medium

  * dh_runit: stop using given/when.
     + Thanks: gregor herrmann <gregoa@debian.org>
         (Closes: #1060709)
  * minor update to dh_runit manpage
  * update copyright years

 -- Lorenzo Puliti <plorenzo@disroot.org>  Tue, 16 Jan 2024 02:51:27 +0100

dh-runit (2.16.1) experimental; urgency=medium

  * revert mark default-disabled services with dot-links

 -- Lorenzo Puliti <plorenzo@disroot.org>  Thu, 15 Jun 2023 02:34:17 +0200

## dh-runit 2.16.3ubuntu1

=== debian/changelog ===
dh-runit (2.16.3ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2024 16:11:53 +0200

dh-runit (2.16.3) unstable; urgency=medium

  * move aliased files from / to /usr (DEP17) (Closes: #1073751)
  * bump Standards-Version to 4.7.0
  * bin opt: auto-replace instances of ##bin##
  * guard against unforseen usrmerge pitfalls
  * runit-helper: add code to purge services in /usr

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 13 Jul 2024 02:53:52 +0200

## dh-runit 2.16.4

=== debian/changelog ===
dh-runit (2.16.4) unstable; urgency=medium

  * runit-helper: add policy-rc.d check in postinst and prerm
  * runit-helper: test for runsvdir before sending ALRM

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 26 Oct 2024 13:14:13 +0200

## dh-runit 2.16.4ubuntu1

=== debian/changelog ===
dh-runit (2.16.4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Neuter dh-runit; packages in Ubuntu should not use runit, systemd is the
      chosen service monitoring framework for Ubuntu and alternative init
      systems are not supported.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:44:19 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 override_dh_auto_test:
 ifneq (armhf,$(HOST_ARCH))
 ifneq (armel,$(HOST_ARCH))
-	dh_auto_test
+	-dh_auto_test
 endif
 endif

## dh-runit 2.16.4ubuntu2

=== Makefile ===
all:
testrunner: testrunner.hs
	ghc $<
check: testrunner
	./testrunner
autopkgtest: testrunner
	AUTOPKGTEST=1 ./testrunner
.PHONY: check

=== debian/changelog ===
dh-runit (2.16.4ubuntu2) resolute; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:53:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtext-hogan-perl,
  libfile-slurp-perl,
  libghc-shake-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git

=== debian/tests/control ===
#Test-Command: make autopkgtest
#Depends: @, libghc-shake-dev
#Architecture: amd64, arm64, i386

Tests: helper-update-rc.d
Depends: runit-helper
Restrictions: needs-root, allow-stderr

# vim: ft=debcontrol

## dh-runit 2.17.0

=== debian/changelog ===
dh-runit (2.17.0) experimental; urgency=medium

  * experimental release
  * prerm, postinst: remove unused code
  * runit-helper: stop using make_svlinks, use cpsv p
  * dh_runit: update debhelper optimization
  * d/copyright: update years (2026)
  * d/control: drop R-R-R=no
  * d/control: bump S-V to 4.7.3, drop Priority: optional
  * do not add runit-helper to depends with 'noscripts'
  * dh_runit: use a special bin-postrm snippet with bin
  * fail if onupgrade=stop and bin are used at the same time
  * dh_runit: add a config option to include /etc/default/ file
  * dh_runit: add new dir option (usr or etc) and map
      usr to dir=usr; default to usr when bin is defined
  * autopkgtest: allow stderr

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 02 Mar 2026 23:24:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dh-runit
 Section: admin
-Priority: optional
 Maintainer: Lorenzo Puliti <plorenzo@disroot.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,8 +9,7 @@
  libtext-hogan-perl,
  libfile-slurp-perl,
  libghc-shake-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/dh-runit
 Vcs-Git: https://salsa.debian.org/debian/dh-runit.git
 Homepage: https://salsa.debian.org/debian/dh-runit

=== debian/tests/control ===
Test-Command: make autopkgtest
Depends: @, libghc-shake-dev
Architecture: amd64, arm64, i386
Restrictions: allow-stderr

Tests: helper-update-rc.d
Depends: runit-helper
Restrictions: needs-root, allow-stderr

# vim: ft=debcontrol
